## org.mortbay.cometd.filter
Class RegexFilter

    java.lang.Object
      org.mortbay.cometd.filter.JSONDataFilter
          org.mortbay.cometd.filter.RegexFilter

All Implemented Interfaces:
  DataFilter

    public class RegexFilter

extends JSONDataFilter

Author:
  gregw

Constructor Summary
`RegexFilter()`

Method Summary
`protected Object` `filterString(String string)`
`void` `init(Object init)` Assumes the init object is an Array of 2 element Arrays: [regex,replacement].

Methods inherited from class org.mortbay.cometd.filter.JSONDataFilter
`filter, filterArray, filterBoolean, filterJSON, filterJSON, filterMap, filterNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexFilter

    public RegexFilter()

Method Detail

### init

    public void init(Object init)

  Assumes the init object is an Array of 2 element Arrays: [regex,replacement]. if the regex replacement string is null, then an IllegalStateException is thrown if the pattern matches.

  Overrides:
    `init` in class `JSONDataFilter`

### filterString

    protected Object filterString(String string)

  Overrides:
    `filterString` in class `JSONDataFilter`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.